#ifndef TASK_H
#define TASK_H

#include <stdint.h>

typedef uint8_t (*TASK_STOP)(void);
typedef uint8_t (*TASK_START)(uint8_t command, uint8_t* params, uint8_t len);
typedef uint8_t (*TASK_RUN)(void);
typedef uint8_t (*TASK_WRITE)(uint8_t param, uint8_t value);
typedef uint8_t (*TASK_READ)(uint8_t param);
typedef uint8_t (*TASK_STATUS)(void);

typedef struct {
	TASK_START start;
	TASK_STOP stop;
	TASK_RUN run;
	TASK_READ read;
	TASK_WRITE write;
	TASK_STATUS status;
} TASK;

#endif

